/*
   Copyright (C) 2004 by James Gregory
   Part of the GalaxyHack project
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License.
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY.
 
   See the COPYING file for more details.
*/

#ifndef GUARD_Score
#define GUARD_Score

#include "RTS.h"
#include "GameState.h"

namespace Score {

class Score_State: public GameState {
public:
	Score_State();
	~Score_State();
	void Main();
	
	void MouseD(Uint8 button, Uint16 x, Uint16 y);
	void Keyboard(SDL_keysym& keysym);
};

void DrawWorld();

class BasePU: public PopupMenu {
public:
	BasePU(int ix, int iy);
	bool SwitchOnChoice(Uint16 x, Uint16 y);
};

} //end namespace

#endif

